// Copyright (c) 2011-2014 The Bitcoin Core developers
// Distributed under the MIT software license, see the accompanying
// file COPYING or http://www.opensource.org/licenses/mit-license.php.

#ifndef BITCOIN1776_QT_BITCOIN1776ADDRESSVALIDATOR_H
#define BITCOIN1776_QT_BITCOIN1776ADDRESSVALIDATOR_H

#include <QValidator>

/** Base58 entry widget validator, checks for valid characters and
 * removes some whitespace.
 */
class Bitcoin1776AddressEntryValidator : public QValidator
{
    Q_OBJECT

public:
    explicit Bitcoin1776AddressEntryValidator(QObject* parent);

    State validate(QString& input, int& pos) const;
};

/** Bitcoin1776 address widget validator, checks for a valid bitcoin1776 address.
 */
class Bitcoin1776AddressCheckValidator : public QValidator
{
    Q_OBJECT

public:
    explicit Bitcoin1776AddressCheckValidator(QObject* parent);

    State validate(QString& input, int& pos) const;
};

#endif // BITCOIN1776_QT_BITCOIN1776ADDRESSVALIDATOR_H
